extern crate intrepion_x_fizz_buzz;

#[test]
fn test_first_twenty_numbers() {
    assert_eq!("1", intrepion_x_fizz_buzz::fizz_buzz(1));
    assert_eq!("2", intrepion_x_fizz_buzz::fizz_buzz(2));
    assert_eq!("Fizz", intrepion_x_fizz_buzz::fizz_buzz(3));
    assert_eq!("4", intrepion_x_fizz_buzz::fizz_buzz(4));
    assert_eq!("Buzz", intrepion_x_fizz_buzz::fizz_buzz(5));
    assert_eq!("Fizz", intrepion_x_fizz_buzz::fizz_buzz(6));
    assert_eq!("7", intrepion_x_fizz_buzz::fizz_buzz(7));
    assert_eq!("8", intrepion_x_fizz_buzz::fizz_buzz(8));
    assert_eq!("Fizz", intrepion_x_fizz_buzz::fizz_buzz(9));
    assert_eq!("Buzz", intrepion_x_fizz_buzz::fizz_buzz(10));
    assert_eq!("11", intrepion_x_fizz_buzz::fizz_buzz(11));
    assert_eq!("Fizz", intrepion_x_fizz_buzz::fizz_buzz(12));
    assert_eq!("13", intrepion_x_fizz_buzz::fizz_buzz(13));
    assert_eq!("14", intrepion_x_fizz_buzz::fizz_buzz(14));
    assert_eq!("Fizz Buzz", intrepion_x_fizz_buzz::fizz_buzz(15));
    assert_eq!("16", intrepion_x_fizz_buzz::fizz_buzz(16));
    assert_eq!("17", intrepion_x_fizz_buzz::fizz_buzz(17));
    assert_eq!("Fizz", intrepion_x_fizz_buzz::fizz_buzz(18));
    assert_eq!("19", intrepion_x_fizz_buzz::fizz_buzz(19));
    assert_eq!("Buzz", intrepion_x_fizz_buzz::fizz_buzz(20));
}

#[test]
fn test_zero() {
    assert_eq!("Fizz Buzz", intrepion_x_fizz_buzz::fizz_buzz(0));
}

#[test]
fn test_first_twenty_negative_numbers() {
    assert_eq!("-1", intrepion_x_fizz_buzz::fizz_buzz(-1));
    assert_eq!("-2", intrepion_x_fizz_buzz::fizz_buzz(-2));
    assert_eq!("Fizz", intrepion_x_fizz_buzz::fizz_buzz(-3));
    assert_eq!("-4", intrepion_x_fizz_buzz::fizz_buzz(-4));
    assert_eq!("Buzz", intrepion_x_fizz_buzz::fizz_buzz(-5));
    assert_eq!("Fizz", intrepion_x_fizz_buzz::fizz_buzz(-6));
    assert_eq!("-7", intrepion_x_fizz_buzz::fizz_buzz(-7));
    assert_eq!("-8", intrepion_x_fizz_buzz::fizz_buzz(-8));
    assert_eq!("Fizz", intrepion_x_fizz_buzz::fizz_buzz(-9));
    assert_eq!("Buzz", intrepion_x_fizz_buzz::fizz_buzz(-10));
    assert_eq!("-11", intrepion_x_fizz_buzz::fizz_buzz(-11));
    assert_eq!("Fizz", intrepion_x_fizz_buzz::fizz_buzz(-12));
    assert_eq!("-13", intrepion_x_fizz_buzz::fizz_buzz(-13));
    assert_eq!("-14", intrepion_x_fizz_buzz::fizz_buzz(-14));
    assert_eq!("Fizz Buzz", intrepion_x_fizz_buzz::fizz_buzz(-15));
    assert_eq!("-16", intrepion_x_fizz_buzz::fizz_buzz(-16));
    assert_eq!("-17", intrepion_x_fizz_buzz::fizz_buzz(-17));
    assert_eq!("Fizz", intrepion_x_fizz_buzz::fizz_buzz(-18));
    assert_eq!("-19", intrepion_x_fizz_buzz::fizz_buzz(-19));
    assert_eq!("Buzz", intrepion_x_fizz_buzz::fizz_buzz(-20));
}
